Method: projects.locations.collections.dataStores.siteSearchEngine.getUriPatternDocumentData

מחזירה את המיפוי של תבנית ה-URI לנתוני המסמך עבור מאגר נתונים של חיפוש מתקדם באתר.

בקשת HTTP


GET https://discoveryengine.googleapis.com/v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:getUriPatternDocumentData

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
siteSearchEngine

string

חובה. שם המשאב המלא של SiteSearchEngine, למשל projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine.

גוף הבקשה

גוף הבקשה צריך להיות ריק.

גוף התשובה

הודעת תגובה לשיטה SiteSearchEngineService.GetUriPatternDocumentData.

אם הפעולה מצליחה, גוף התגובה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "documentDataMap": {
    string: {
      object
    },
    ...
  }
}
שדות
documentDataMap

map (key: string, value: object (Struct format))

נתוני מסמכים שמקבלים מפתח לפי תבנית URI. לדוגמה: documentDataMap = { "www.url1.com/*": { "Categories": ["category1", "category2"] }, "www.url2.com/*": { "Categories": ["category3"] } }

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.